> For the complete documentation index, see [llms.txt](https://docs.idle.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.idle.finance/developers/best-yield/methods/tokenprice.md).

# tokenPrice

Developers > Best Yield > tokenPrice

This method returns the current $IDLE token price, in underlying (e.g. DAI) terms.

{% hint style="info" %}
Note: the **price does not include fees.** If you need the token price with fee you should take a look at the `tokenPriceWithFee` method.
{% endhint %}

### Function

```solidity
function tokenPrice(
) external view returns (uint256 price);
```

### Return values

| Value   | Description                       |
| ------- | --------------------------------- |
| `price` | Return the underlying token price |

{% hint style="info" %}
Note: $IDLE tokens for Risk-Adjusted strategy do not have a `tokenPriceWithFee` method so you need to take account of those on your side or use [this](https://etherscan.io/address/0x04Ce60ed10F6D2CfF3AA015fc7b950D13c113be5#code) helper.
{% endhint %}

[Here](https://twitter.com/emilianobonassi/status/1344419709597458432) you can find a Twitter thread with more info about Idle Token Helper and also a [follow up here](https://twitter.com/emilianobonassi/status/1344550511538802688).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.idle.finance/developers/best-yield/methods/tokenprice.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
